欢迎光临
我们一直在努力

Oneinstack Web环境增加PHP8.1版本 我们是否需要升级

今天老蒋在给一个朋友配置服务器的时候,有需要安装的是 Oneinstack WEB环境,在选择PHP版本的时候看到最高可以选择PHP8.1版本,这个版本6月份的时候有进入测试阶段,目前已经可以正式使用。如果我们有需要配置的时候也可以选择8.1,但是兼容与否需要看我们自己的程序和主题。

Oneinstack Web环境增加PHP8.1版本 我们是否需要升级

对于PHP8.1版本有哪些新增内容?

1、适用于 PHP 的 Enums (Enumerations) 终于到位整合。

2、PHP 8.1 支持 fsync 函数,以帮助确保操作系统已经将数据/元数据的变化写入底层存储中。同样,fsyncdata 函数也只是确保数据,而不一定是元数据已被同步。

3、引入 Fibers 的支持以改善 PHP 中的异步支持。PHP Fibers 允许 PHP 函数在不污染调用栈的情况下被中断,并支持现有接口的透明非阻塞 I/O 实现。

4、 将更多的 PHP 资源转换为对象。

5、PHP-FPM 现在支持 macOS 上的进程重命名。

6、支持 MurmurHash V3 和 xxHash 的 PHP 散列接口。

7、PHP Sodium 现在支持 XChaCha20 流密码函数和 Ristretto255 函数。

8、PHP的OPcache现在有一个继承缓存。

9、持续的性能优化。

有看到有人测试过,8.1版本是性能上提高不少。如果我们确保服务器和程序兼容,我们是可以用PHP8.1版本的,毕竟我们看到WP程序官方要求也是7.4+的,明年肯定是要求8.0+。

赞(0) 打赏
版权声明:本文采用知识共享 署名4.0国际许可协议 [BY-NC-SA] 进行授权
文章名称:《Oneinstack Web环境增加PHP8.1版本 我们是否需要升级》
文章链接:https://www.701z.com/tech/10902.html
本站资源仅供个人学习交流,请于下载后24小时内删除,不允许用于商业用途,否则法律问题自行承担。

评论 抢沙发

评论前必须登录!

 

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏

'); })();